{
  "name": "WGShare.Metting",
  "private": true,
  "version": "0.4.8",
  "main": "main.js",
  "authors": "yj",
  "description": "智汇享",
  "scripts": {
    "dev": "concurrently \"electron . --env=development\" \"cross-env BROWSER=none vite\"",
    "test": "concurrently \"electron . --env=test\" \"cross-env BROWSER=none vite\"",
    "prod": "concurrently \"electron . --env=production\" \"cross-env BROWSER=none vite\"",
    "build": "vite build --mode development",
    "build:test": "vite build --mode test",
    "build:prod": "vite build --mode production",
    "preview": "vite preview",
    "build:dev-win": "vite build --mode development & electron-builder -w",
    "build:test-win": "vite build --mode test & electron-builder -w",
    "build:prod-win": "vite build --mode production & electron-builder -w"
  },
  "agora_electron": {
    "platform": "win32",
    "prebuilt": true,
    "arch": "ia32"
  },
  "dependencies": {
    "@ant-design/icons": "^5.3.7",
    "@microsoft/signalr": "^8.0.0",
    "@types/node": "^20.14.9",
    "agora-electron-sdk": "^4.3.2",
    "animate.css": "^4.1.1",
    "antd": "^5.18.2",
    "axios": "^1.7.2",
    "crypto-js": "^4.2.0",
    "dayjs": "^1.11.11",
    "electron-squirrel-startup": "^1.0.1",
    "electron-updater": "^6.2.1",
    "os": "^0.1.2",
    "path": "^0.12.7",
    "postcss-px-to-viewport-8-plugin": "^1.2.5",
    "react": "^18.3.1",
    "react-dom": "^18.3.1",
    "react-router-dom": "^6.23.1",
    "sass": "^1.77.5",
    "tldraw": "^2.2.0",
    "uuid": "^10.0.0",
    "webm-duration-fix-buffer": "^1.0.0",
    "winreg": "^1.2.5"
  },
  "devDependencies": { 
    "@types/react": "^18.0.0",
    "@types/react-dom": "^17.0.25",
    "@vitejs/plugin-react": "^1.0.7",
    "concurrently": "^7.6.0",
    "cross-env": "^7.0.3",
    "electron": "^22.1.0",
    "electron-builder": "^23.1.0",
    "typescript": "^4.5.4",
    "vite": "^2.8.0",
    "vite-plugin-resolve": "^2.5.1"
  },
  "build": {
    "appId": "agora.io.ElectronApiExample",
    "asar": true,
    "asarUnpack": [
      "node_modules/agora-electron-sdk"
    ],
    "buildDependenciesFromSource": true,
    "compression": "normal",
    "productName": "智汇享",
    "publish": [
      {
        "provider": "generic",
        "url": "https://meeting-api.23544.com/meeting/update"
      }
    ],
    "files": [
      "!*.log"
    ],
    "win": {
      "icon": "build/start.ico",
      "requestedExecutionLevel": "highestAvailable",
      "target": [
        {
          "target": "nsis",
          "arch": [
            "ia32"
          ]
        }
      ]
    },
    "directories": {
      "output": "electron"
    },
    "extraResources": [],
    "nsis": {
      "oneClick": false,
      "installerIcon": "build/install.ico",
      "uninstallerIcon": "build/install.ico",
      "installerHeaderIcon": "build/install.ico",
      "allowToChangeInstallationDirectory": true,
      "createDesktopShortcut": true,
      "createStartMenuShortcut": true,
      "deleteAppDataOnUninstall": true,
      "shortcutName": "智汇享",
      "allowElevation": true,
      "perMachine": true
    }
  }
}
